From 06e981ba9f922718ac3c9575662886f767343ad0 Mon Sep 17 00:00:00 2001
From: Hannes Domani <ssbssa@yahoo.de>
Date: Sat, 3 Jan 2009 23:09:55 +0100
Subject: [PATCH] libass: set windows/fonts as default directory

---
 modules/codec/libass.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/modules/codec/libass.c b/modules/codec/libass.c
index 32a6a1e..5eef1e5 100644
--- a/modules/codec/libass.c
+++ b/modules/codec/libass.c
@@ -675,11 +675,18 @@ static ass_handle_t *AssHandleHold( decoder_t *p_dec )
     }
     free( pp_attachments );
 
+#ifndef WIN32
     char *psz_font_dir = config_GetCacheDir();
     if( !psz_font_dir )
         goto error;
     ass_set_fonts_dir( p_library, psz_font_dir );
     free( psz_font_dir );
+#else
+    char psz_font_dir[MAX_PATH];
+    GetSystemWindowsDirectoryA( psz_font_dir, sizeof(psz_font_dir) );
+    strcat( psz_font_dir, "/fonts" );
+    ass_set_fonts_dir( p_library, psz_font_dir );
+#endif
 
     ass_set_extract_fonts( p_library, true );
     ass_set_style_overrides( p_library, NULL );
-- 
1.5.6.1.1071.g76fb

